'use strict';

var React = require('react');
var Card = require('./Card-cjs.js');
var Content = require('./Content-cjs.js');
var Emphasis = require('./Emphasis-cjs.js');

function DataDump({ label = "Raw Data", defaultOpen = false, data, }) {
    return (React.createElement(Card.Card, { accent: "yellow" },
        React.createElement(Content.Content, null,
            React.createElement("details", { open: defaultOpen },
                React.createElement("summary", null,
                    React.createElement(Emphasis.Emphasis, { variation: "bold" }, label)),
                React.createElement("pre", null, JSON.stringify(data, undefined, 2))))));
}

exports.DataDump = DataDump;
